Subject: [sipcore] WGLC 4244bis-callflows 3.1

From: <[email-masked]>
Date: Thu, 18 Oct 2012 10:56:56 +0000

Section 3.1
Ok with Laura comments.
MM#2: second paragraph: "The hi-entry containing the initial contact is the hi-entry just prior to the first hi-entry tagged with an "rc" header field parameter." According to the logic of "rc" param it is strange to use the terms "just prior".
Proposed correction: "The hi-entry containing the initial contact is the hi-entry just prior to *pointed by* the first hi-entry tagged with an "rc" header field parameter."

MM#3: F9: The timeout causing the retargeting is not a received SIP response so, in my first understanding, the Reason header should not be used. It would be better to use the RFC4458 reason for no reply in an URI parameter. May be I missed a specific change from RFC4244 on this topic.

draft4244bis states : "A reason is included in the hi-targeted-to-uri of an hi-entry to reflect information received in a response to the request sent to that URI." See my comment MM#20 on 3.6

History-Info: <sip:[email-masked]>;index=1
   History-Info: <sip:[email-masked]?Reason=SIP%3Bcause%3D302>;\
                 index=1.1;rc=1
   History-Info: <sip:[email-masked]>;index=1.2;mp=1
   History-Info: <sip:[email-masked]?Reason=SIP%3Bcause%3D408>;\
                 index=1.2.1>;index=1.2.1;rc=1.2
   History-Info: <sip:[email-masked]>;index=1.3;mp=1
   History-Info: <sip:[email-masked]>;index=1.3.1;rc=1.3

Instead, we can use de "cause" URI parameter (and may be also the "target") in the hi-entry where the "mp" is added has follows:
History-Info: <sip:[email-masked]>;\
                 index=1.2.1>;index=1.2.1;rc=1.2

History-Info: <sip:[email-masked]>;index=1
   History-Info: <sip:[email-masked]?Reason=SIP%3Bcause%3D302>;\
                 index=1.1;rc=1
   History-Info: <sip:[email-masked]>;index=1.2;mp=1
   History-Info: <sip:[email-masked]?Reason=SIP%3Bcause%3D408>;\
                 index=1.2.1>;index=1.2.1;rc=1.2
   History-Info: <sip:[email-masked]; cause=408>;index=1.3;mp=1
   History-Info: <sip:[email-masked]>;index=1.3.1;rc=1.3

Best Regards,
Marianne

_________________________________________________________________________________________________________________________

Ce message et ses pieces jointes peuvent contenir des informations confidentielles ou privilegiees et ne doivent donc
pas etre diffuses, exploites ou copies sans autorisation. Si vous avez recu ce message par erreur, veuillez le signaler
a l'expediteur et le detruire ainsi que les pieces jointes. Les messages electroniques etant susceptibles d'alteration,
France Telecom - Orange decline toute responsabilite si ce message a ete altere, deforme ou falsifie. Merci.

This message and its attachments may contain confidential or privileged information that may be protected by law;
they should not be distributed, used or copied without authorisation.
If you have received this email in error, please notify the sender and delete this message and its attachments.
As emails may be altered, France Telecom - Orange is not liable for messages that have been modified, changed or falsified.
Thank you.

---

From: <[email-masked]>
Date: Fri, 19 Oct 2012 13:08:43 +0200

Hi Marianne,
there was no change related with this. RFC4244 states:

For retargets as a result of timeouts or internal events, a Reason

   MAY be associated with the hi-targeted-to-uri that has been

   retargeted
I understand the same applies also to RFC4244bis.
So it is allowed to include a 408 on a timeout. So that is nothing RFC4244bis specific.

Best Regards

Roland
________________________________
Von: [email-masked] [mailto:[email-masked]] Im Auftrag von [email-masked]
Gesendet: Donnerstag, 18. Oktober 2012 12:57
An: [email-masked]
Betreff: [sipcore] WGLC 4244bis-callflows 3.1

Section 3.1
Ok with Laura comments.

Best Regards,
Marianne